<?php
class districtModel extends model{
	public $base;
	public function __construct(&$base){
		parent::__construct($base);
		$this->base=$base;
		$this->table="district";
	}
	/*获取区域 k=>v 形式*/
	public function dist_list($option,&$rscount=false,$cache=false,$cache_time=0){
		$data=$this->select($option,$rscount,$cache,$cache_time);
		if($data){
			foreach($data as $k=>$v){
				$ndata[$v['id']]=$v['name'];
			}
			return $ndata;
		}
		return false;
	}
}

?>